/************************
* Mousebutton functions *
************************/
char AString[] = "I GOT FOCUS!";

BEGIN_PROSIT_HEADER(Mousebutton_Header)
  DEFINE_PROSIT_VERSION(PROSIT_VERSION_STRING)
  DEFINE_PROSIT_FILETYPE(PROSIT_FILETYPE_PROGRAM)
  DEFINE_PROSIT_STACKSIZE(1024)
END_PROSIT_HEADER
void Mousebutton_Process(void)
{
  PWINDOW *Current;
  BYTE dx, dy;

  while(1) {

    // Wait for the user to press the mouse button.
    while(MOUSEKEY)
      BreakAndCooperate();

    // Find out what window recieved the click.
    Current = (PWINDOW *)WindowList.start;
    while((MouseX < Current->X) || (MouseY < Current->Y) ||
          (MouseX >= ((int)Current->X + Current->Width)) ||
          (MouseY >= ((int)Current->Y + Current->Height)))
      Current = (PWINDOW *)(Current->header.next);

    dx = MouseX - Current->X;
    dy = MouseY - Current->Y;

    if(MouseInside(Current, &Current->Win.Client))
      GM_Click(Current, dx, dy);
    else
      WM_Click(Current, dx, dy);

    // Wait for the user to release the mouse button.
    while(!MOUSEKEY)
      BreakAndCooperate();
  }
}
