#ifndef gmlib_h
#define gmlib_h

#include <winlib.h>

#define GMO_CLICKED_EVENT 0x676d6f63	// "gmoc"

#define GMO_INITIALIZE 0x0000
#define GMO_CLICK 0x0001
// enum ObjectActions {GMO_INITIALIZE=0x0000};

typedef struct {
  BYTE signature;
  BYTE flags;
  WORD ID;
  SCR_RECT area;
} GMO_HEADER;

typedef struct {
  BYTE signature;
  BYTE flags;
  WORD ID;
  SCR_RECT area;
  char *str;
} GMO_TEXTBUTTON;

#define TRIGGER_ON_PRESS 0x01
#define TRIGGER_ON_MOVE 0x02
#define TRIGGER_ON_RELEASE 0x04
#define TRIGGER_ON_PRESS_AND_MOVE TRIGGER_ON_PRESS+TRIGGER_ON_MOVE
#define TRIGGER_ON_PRESS_AND_RELEASE TRIGGER_ON_PRESS+TRIGGER_ON_RELEASE
#define TRIGGER_ON_MOVE_AND_RELEASE TRIGGER_ON_MOVE+TRIGGER_ON_RELEASE
#define TRIGGER_ON_ALL TRIGGER_ON_PRESS+TRIGGER_ON_MOVE+TRIGGER_ON_RELEASE
#define GUI_TEXTBUTTON 1

#define BEGIN_GUI_SECTION(name) ListElementHeader name = {NULL, 0, 0, 0}; asm(""
#define ADD_TEXTBUTTON(f, id, x0, y0, x1, y1, ptr) " .byte " XSTR(GUI_TEXTBUTTON) "," XSTR(f) " \n .word " XSTR(id) "\n .byte " XSTR(x0) "," XSTR(y0) "," XSTR(x1) "," XSTR(y1) "\n .long " XSTR(ptr) "\n"
#define END_GUI_SECTION " .word 0x0000");





#define GM_Draw3DBox gmlib_0000
void GM_Draw3DBox(PWINDOW *w, SCR_RECT *r, BYTE attr);

#define GM_DrawStructure gmlib__0001
void GM_DrawStructure(PWINDOW *w, ListHeader *list);

#define GM_DrawGroup winlib__0002
void GM_DrawStructureGroup(PWINDOW *w, ListElementHeader *g);

#define GM_DrawStructureObject gmlib__0003
void *GM_DrawStructureObject(PWINDOW *w, void *o);

#define GM_InitializeWindow gmlib__0004
void GM_InitializeWindow(PWINDOW *w);

#define GM_Click gmlib__0005
void GM_Click(PWINDOW *w, int dx, int dy);

#endif
