/****************
* THE KEYREADER *
****************/

/*
		sub.w		#1,KeyboardDelay
		bge		KeyReaderDone
		move.w		#KEYBOARD_READ_DELAY,KeyboardDelay
*/

// The keyreader interrupt.
asm("	KeyReader:
/*		or.w		#0x0700,%sr */
		add.l		#1," XSTR(Ticks) "
		movem.l		%a0/%d0-%d1/%d4/%d6-%d7,-(%sp)

		move.w		#0x03fe,(0x00600018)
		move.l		(%sp),(%sp)
		move.l		(%sp),(%sp)
		move.b		(0x0060001B),%d7
		move.b		%d7," XSTR(ControlKeys)"

		move.w		#0x0001,(0x00600018)
		move.l		(%sp),(%sp)
		move.l		(%sp),(%sp)
		move.b		(0x0060001B),%d4
		not.b		%d4
		bne		KeyReaderCont1
		clr.w		" XSTR(CurrentKey)"
		bra		KeyReaderDone
	KeyReaderCont1:
		move.l		#0xffffff01,%d0
		moveq		#1,%d6
		moveq		#8,%d1
	KeyReaderLoop:
		rol.l		%d1,%d0
		add.w		%d1,%d6
		move.w		%d0,(0x00600018)
		move.l		(%sp),(%sp)
		move.l		(%sp),(%sp)
		move.b		(0x0060001B),%d7
		not.b		%d7
		bne		KeyReaderCont2
		ror.l		%d1,%d0
		sub.w		%d1,%d6
	KeyReaderCont2:
		lsr.w		#1,%d1
		bne		KeyReaderLoop

		move.w		%d0,(0x00600018)
		move.l		(%sp),(%sp)
		move.l		(%sp),(%sp)
		move.b		(0x0060001B),%d1

		moveq		#7,%d7
	KeyReaderBLoop:
		btst		%d7,%d1
		beq		KeyReaderFound
		dbra		%d7,KeyReaderBLoop
	KeyReaderFound:
		lsl.w		#3,%d6
		add.w		%d7,%d6
		lsl.w		#1,%d6
		lea		KeyCodes,%a0
		move.w		0(%a0,%d6.w)," XSTR(CurrentKey) "

	KeyReaderDone:
		movem.l		(%sp)+,%a0/%d0-%d1/%d4/%d6-%d7
		rte");
